set serveroutput on;

declare
  rsp varchar2(100);

begin

  --Gesti de desitjos:
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('------------------GESTIO DE DESITJOS------------------');
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Exemple de prova satisfactoria en alta de desitjos:');
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    --Afegim cinc desitjos nous. Com el sistema accepta mltiples desitjos, un
    --dels mateixos estar repetit.
    Desig_Afegir('usuari0030@hotmail.com', 'Xandall', 'Proveidor 07', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Calat esportiu', 'Proveidor 07', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Pulsmetre', 'Proveidor 02', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Pilota de futbol', 'Proveidor 07', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Xandall', 'Proveidor 07', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    --Comprovaci d'excepcions. Dos intents d'afegir dades incorrectes. En el
    --primer cas, un producte que no existeix, en el segon, un usuari incorrecte.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Exemples per excepcions amb dades erronies:');
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Afegir('usuari0030@hotmail.com', 'Xandall', 'Proveidor 50', rsp);
    Desig_Afegir('usuari1000@hotmail.com', 'Xandall', 'Proveidor 07', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    --Exemple d'esborrat satisfactori de desitjos. L'historial mostra el desig
    --com a cancellat. La llista actual de desitjos no mostra el desig.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Exemple de elliminaci de desitjos (esborrem pulsmetre):');
    Desig_Esborrar('usuari0030@hotmail.com', 'Pulsmetre', 'Proveidor 02', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Historial('usuari0030@hotmail.com', rsp);
    --Exemple de tractament d'excepcions per intents d'esborrar amb dades
    --incorrectes.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Desitjos amb dades erronies (excepcions):');
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Esborrar('usuari0030@hotmail.com', 'Xandall', 'Proveidor 50', rsp);
    Desig_Esborrar('usuari0030@hotmail.com', 'Pulsmetre', 'Proveidor 02', rsp);
    --Modificaci de desitjos:
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Exemple de modificaci de desitjos (calat per camisa):');
    Desig_Modificar ('usuari0030@hotmail.com', 'Calat esportiu', 'Proveidor 07',
      'Camisa informal', 'Proveidor 08', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Modificacions amb dades errnies (excepcions):');
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Modificar ('usuari1000@hotmail.com', 'Calat esportiu', 'Proveidor 07',
      'Camisa informal', 'Proveidor 08', rsp);
    Desig_Modificar ('usuari0030@hotmail.com', 'Calat esportiu', 'Proveidor 07',
      'Camisa informal', 'Proveidor 50', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    
----Gesti de grups:
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('--------------------GESTIO DE GRUPS-------------------');
    --Es creen dos grups nous per a l'aniversari de l'usuari0030. Un grup t
    --la banderola de privacitat activa, l'altre no. Afegim ms desitjos per
    --a que sigui ms complet.
    --Tamb s'afegeixen regals i participants als grups.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Creaci de dos grups nous:');
    Desig_Afegir('usuari0030@hotmail.com', 'Pellcula DVD', 'Proveidor 06', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Llum LED', 'Proveidor 04', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Excursi a cavall', 'Proveidor 11', rsp);
    Desig_Afegir('usuari0030@hotmail.com', 'Spa i relax', 'Proveidor 10', rsp);
    --Creem els grups
    Grup_Alta ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', 'Pel millor pare',
      SYSDATE+30, SYSDATE+40, 'F', 'usuari0030@hotmail.com', 'C\Mas N 2, casa',
      'Barcelona', '08028', rsp);
    Grup_Alta ('Felicitats Pere!!!',  'usuari0030@hotmail.com', 'Qui dies passa anys empeny!',
      SYSDATE+30, SYSDATE+40, 'T', 'usuari0030@hotmail.com', 'C\Mas N 2, casa',
      'Barcelona', '08028', rsp);
    Grup_Consultar('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_Consultar('Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    --Afegim usuaris als dos grups. Un usuari pot participar en ms d'un grup.
    --Primer grup...
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0031@yahoo.com', 'Pel millor pare', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0032@hotmail.com', 'No canviis mai', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0033@hotmail.com', 'Junts des del primer dia i per sempre, carinyo', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0034@outlook.com', 'per un germ com deu mana', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0035@ono.es', 'Ets molt, molt gran, Pere!', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0036@yahoo.com', 'La edat no perdona eh? ;P', rsp);
    Grup_AltaParticipant ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 'Felicitats des de Rssia, cos :D', rsp);
    Grup_AfegirRegal ('Camisa informal', 'Proveidor 08',
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_AfegirRegal ('Excursi a cavall', 'Proveidor 11',
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_AfegirRegal ('Xandall', 'Proveidor 07',
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_AfegirRegal ('Pellcula DVD', 'Proveidor 06',
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    --Segon grup...
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0040@hotmail.com', 'No canviis mai, nano!', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0041@gmail.com', 'Per un company excellent!', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0042@yahoo.com', 'Felicitats!', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0043@gmail.com', 'Sort i nims!', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0044@yahoo.com', 'Nou any, nova vida? Felicitats Pere!', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0045@hotmail.com', 'En breu tindrs cabells blancs, jeje...', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 'Cosins i amics com sempre :D', rsp);
    Grup_AfegirRegal ('Spa i relax', 'Proveidor 10',
      'Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    Grup_AfegirRegal ('Llum LED', 'Proveidor 04',
      'Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    Grup_AfegirRegal ('Xandall', 'Proveidor 07',
      'Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    --Verificaci dels nous grups i de l'assignaci dels desitjos     
    Grup_Consultar('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_Consultar('Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Verificaci conforme els desitjos estan assignats:');
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Historial('usuari0030@hotmail.com', rsp);
    --Intent de duplicar un grup per verificar tractament d'excepcions
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intent de introduir un grup duplicat (excepcions):');
    Grup_Alta ('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', 'Event duplicat',
      SYSDATE+30, SYSDATE+40, 'F', 'usuari0030@hotmail.com', 'C\Mas N 2, casa',
      'Barcelona', '08028', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intent de introduir un grup amb data d''entrega insuficient:');
    Grup_Alta ('Aniversari Pere sense temps', 'usuari0030@hotmail.com', 'Event duplicat',
      SYSDATE+30, SYSDATE+30, 'F', 'usuari0030@hotmail.com', 'C\Mas N 2, casa',
      'Barcelona', '08028', rsp);
    --Intent d'afegir un usuari inexistent, repetit en un grup, o grup inexistent
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Altes incorrectes (usuari inexistent, repetit al grup, i esdeveniment erroni):');
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari1000@hotmail.com',
      'usuari0045@hotmail.com', 'Usuari inexistent', rsp);
    Grup_AltaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 'Usuari repetit al grup', rsp);
    Grup_AltaParticipant ('Esdeveniment inexistent', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 'Felicitats!', rsp);
    --Intent d'esborrar un desig assignat a un grup
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intent de cancellar un desig assignat:');
    Desig_Esborrar('usuari0030@hotmail.com', 'Xandall', 'Proveidor 07', rsp);
    --Baixa d'usuari
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Baixa usuari0030 del grup -Felicitats Pere!!!-'); 
    Grup_BaixaParticipant ('Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0042@yahoo.com', rsp);
    DBMS_OUTPUT.PUT_LINE(rsp);
    --Intents de baixes incorrectes
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('Intents de baixes incorrectes');
    Grup_BaixaParticipant ('Felicitats Susanna!!!', 'usuari0030@hotmail.com',
      'usuari0042@yahoo.com', rsp);
    --Queden pendents la baixa de regals. Com incorpora devolucions, es far
    --a posteriori.
    --Mostrem novament els grups per verificar com queden. Cal recordar que
    --s'ha esborrat un membre (usuari0042) del segon grup.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Verificaci dels grups despres de les excepcions:');
    DBMS_OUTPUT.PUT_LINE('(cal recordar que usuari0042 ha cursat baixa al segon grup)');
    Grup_Consultar('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    Grup_Consultar('Felicitats Pere!!!', 'usuari0030@hotmail.com', rsp);
    
----Participaci en els regals i gesti de transaccions:
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('----PARTICIPACIO EN REGALS I GESTIO DE TRANSACCIONS---');
    --Aportacions dels participants del primer grup (pbliques)
    DBMS_OUTPUT.PUT_LINE('-Participacions del primer grup (pbliques):');
    Participacio_Aportar ('Excursi a cavall', 'Proveidor 11', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0031@yahoo.com', 50, 'PayPal', 'usuari0031@yahoo.com', rsp);
      --Usuari s'ho repensa i afegeix 10 eur a la seva participaci. El sistema
      --corregeix l'import aportat al grup, i afegeix una segona transacci.
    Participacio_Aportar ('Excursi a cavall', 'Proveidor 11', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0031@yahoo.com', 10, 'PayPal', 'usuari0031@yahoo.com', rsp);
    Participacio_Aportar ('Pellcula DVD', 'Proveidor 06', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0032@hotmail.com', 5, 'Targeta de dbit / crdit', '1234 2001 2352 5212', rsp);
    Participacio_Aportar ('Xandall', 'Proveidor 07', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0032@hotmail.com', 5, 'Targeta de dbit / crdit', '1234 2001 2352 5212', rsp);
    Participacio_Aportar ('Xandall', 'Proveidor 07', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0033@hotmail.com', 10, 'Transferncia bancria', '2100 1234 22 21001012345', rsp);
    Participacio_Aportar ('Xandall', 'Proveidor 07', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 3, 'Google Wallet', 'usuari0037@gmail.com', rsp);
    Participacio_Aportar ('Camisa informal', 'Proveidor 08', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0034@outlook.com', 10, 'PayPal', 'usuari0034@outlook.com', rsp);
    Participacio_Aportar ('Camisa informal', 'Proveidor 08', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0034@outlook.com', 50, 'PayPal', 'usuari0034@outlook.com', rsp);  
    Grup_Participacions('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('Llista de transaccions del primer grup:');
    DBMS_OUTPUT.PUT_LINE('Cal notar que poden haver ms transaccions que participacions, per exemple');
    DBMS_OUTPUT.PUT_LINE('usuari0031 ha participat dos cops en la Excursi a Cavall. El sistema mostra');
    DBMS_OUTPUT.PUT_LINE('l''import corregit, 55''60. Les transaccions mostren els dos pagaments, 50 i 5''60.');
    DBMS_OUTPUT.PUT_LINE('');
    Transaccio_mostrar(rsp);
    --Aportacions dels participants del segon grup (privades)
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Participacions del segon grup (privades):');
    Participacio_Aportar ('Llum LED', 'Proveidor 04', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 15, 'Google Wallet', 'usuari0037@gmail.com', rsp);
    Participacio_Aportar ('Llum LED', 'Proveidor 04', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0045@hotmail.com', 0.01, 'PayPal', 'usuari0045@hotmail.com', rsp);
    Participacio_Aportar ('Llum LED', 'Proveidor 04', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0040@hotmail.com', 15, 'PayPal', 'usuari0040@hotmail.com', rsp);
    Participacio_Aportar ('Spa i relax', 'Proveidor 10', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0041@gmail.com', 25, 'Google Wallet', 'usuari0041@gmail.com', rsp);
    Participacio_Aportar ('Spa i relax', 'Proveidor 10', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0043@gmail.com', 15, 'PayPal', 'usuari0041@gmail.com', rsp);
    Participacio_Aportar ('Xandall', 'Proveidor 07', 
      'Felicitats Pere!!!', 'usuari0030@hotmail.com',
      'usuari0044@yahoo.com', 5, 'Transferncia bancria', '2013 0001 52 1234567890', rsp);
    Grup_Participacions('Felicitats Pere!!!', 'usuari0030@hotmail.com',rsp);
    --Intents d'afegir participacions incorrectes (tractament d'errors):
    --Farem servir el primer grup
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intents de participacions incorrectes:');
    DBMS_OUTPUT.PUT_LINE(' -Grup inexistent:');
    Participacio_Aportar ('Excursi a cavall', 'Proveidor 11', 
      'Aniversari Pere incorrecte', 'usuari0030@hotmail.com',
      'usuari0031@yahoo.com', 55.60, 'PayPal', 'usuari0031@yahoo.com', rsp);
    DBMS_OUTPUT.PUT_LINE(' -Import negatiu:');
    Participacio_Aportar ('Pellcula DVD', 'Proveidor 06', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0036@yahoo.com', -10, 'PayPal', 'usuari0036@yahoo.com', rsp);
    DBMS_OUTPUT.PUT_LINE(' -Regal aconseguit:');
    Participacio_Aportar ('Excursi a cavall', 'Proveidor 11', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0036@yahoo.com', 10, 'PayPal', 'usuari0036@yahoo.com', rsp);
    DBMS_OUTPUT.PUT_LINE(' -Regal inexistent:');
    Participacio_Aportar ('Ordinador', 'Proveidor 01', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0036@yahoo.com', 10, 'PayPal', 'usuari0036@yahoo.com', rsp);
    DBMS_OUTPUT.PUT_LINE(' -Usuari que no s del grup:');
    Participacio_Aportar ('Pellcula DVD', 'Proveidor 06', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0100@outlook.com', 10, 'PayPal', 'usuari0100@outlook.com', rsp);
    --Forcem el tancament del primer grup per provar les devolucions de regals.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Forcem el tancament del primer grup. Aconsegueix dos regals,');
    DBMS_OUTPUT.PUT_LINE('La excursi a cavall i la camisa informal. Dels altres dos es');
    DBMS_OUTPUT.PUT_LINE('generen les devolucions pertinents.');
    Grup_ForcarBaixa('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',rsp);
    Grup_Consultar('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Transaccio_mostrar(rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intent de participaci en un grup donat de baixa:');
    Participacio_Aportar ('Xandall', 'Proveidor 07', 
      'Aniversari Pere (familiars)', 'usuari0030@hotmail.com',
      'usuari0037@gmail.com', 3, 'Google Wallet', 'usuari0037@gmail.com', rsp);
    --Intents de baixes de grup incorrectes (tractament d'errors):
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intents de baixes de grups incorrectes:');
    DBMS_OUTPUT.PUT_LINE(' -Grup inexistent:');
    Grup_ForcarBaixa('Aniversari Pere erroni', 'usuari0030@hotmail.com',rsp);
    DBMS_OUTPUT.PUT_LINE(' -Grup ja de baixa:');    
    Grup_ForcarBaixa('Aniversari Pere (familiars)', 'usuari0030@hotmail.com',rsp);
      
----Fi del procs, confirmaci de rebuda dels regals:
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('---FI DEL PROCS - CONFIRMACI DE RECEPCI DE REGAL---');
    Regal_ConfirmarRebut ('usuari0030@hotmail.com', 'Camisa informal', 
      'Proveidor 08', rsp);
    Regal_ConfirmarRebut ('usuari0030@hotmail.com', 'Excursi a cavall', 
      'Proveidor 11', rsp);
    Grup_Consultar('Aniversari Pere (familiars)', 'usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Consultar('usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    Desig_Historial('usuari0030@hotmail.com', rsp);
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('-Intents de confirmar rebudes incorrectes (excepcions):');
    DBMS_OUTPUT.PUT_LINE(' -Estat incorrecte:');
    Regal_ConfirmarRebut ('usuari0030@hotmail.com', 'Pellcula DVD', 
      'Proveidor 06', rsp);
    DBMS_OUTPUT.PUT_LINE(' -Destinatari incorrecte:');
    Regal_ConfirmarRebut ('usuari0050@hotmail.com', 'Camisa informal', 
      'Proveidor 08', rsp);
    
----Consulta de la taula de log (opcional)
    --Si no es desitja veure la taula de log, noms cal comentar les lnies.
    DBMS_OUTPUT.PUT_LINE('');
    DBMS_OUTPUT.PUT_LINE('---CONTINGUT DE LA TAULA DE LOG---');
    Consulta_Log (SYSDATE-1, SYSDATE+1, rsp);
    
rollback;
end;