-- Insercions inicials del sistema. Carreguen les dades necessries per a que
-- es pugui utilitzar.

--Taules auxiliars (en principi no han de modificar-se ni ampliar-se).

INSERT INTO Tipus_Transaccio (tipus) VALUES ('Pagament');
INSERT INTO Tipus_Transaccio (tipus) VALUES ('Devoluci');

INSERT INTO Mode_Pagament (modeP) VALUES ('Transferncia bancria');
INSERT INTO Mode_Pagament (modeP) VALUES ('Targeta de dbit / crdit');
INSERT INTO Mode_Pagament (modeP) VALUES ('PayPal');
INSERT INTO Mode_Pagament (modeP) VALUES ('Google Wallet');

INSERT INTO IVA (tipus) VALUES (0);
INSERT INTO IVA (tipus) VALUES (4);
INSERT INTO IVA (tipus) VALUES (7);
INSERT INTO IVA (tipus) VALUES (10);
INSERT INTO IVA (tipus) VALUES (21);

INSERT INTO Estat_Regal (estat) VALUES ('AFEGIT_A_UN_GRUP');
INSERT INTO Estat_Regal (estat) VALUES ('ELIMINAT');
INSERT INTO Estat_Regal (estat) VALUES ('NO_SUFICIENTS_FONS');
INSERT INTO Estat_Regal (estat) VALUES ('PAGAMENT_COMPLETAT');
INSERT INTO Estat_Regal (estat) VALUES ('ENVIAT');
INSERT INTO Estat_Regal (estat) VALUES ('REBUT');

INSERT INTO Estat_Desig (estat) VALUES ('PENDENT');
INSERT INTO Estat_Desig (estat) VALUES ('ASSIGNAT');
INSERT INTO Estat_Desig (estat) VALUES ('CANCELLAT');
-- Nota: L'estat ACONSEGUIT indica que un destinatari ha REBUT el regal.
INSERT INTO Estat_Desig (estat) VALUES ('ACONSEGUIT');

INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('01', 'Vitoria', 'lava');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('02', 'Albacete', 'Albacete');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('03', 'Alicante', 'Alicante');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('04', 'Almera', 'Almera');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('05', 'vila', 'vila');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('06', 'Badajoz', 'Badajoz');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('07', 'Palma de Mallorca', 'Illes Balears');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('08', 'Barcelona', 'Barcelona');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('09', 'Burgos', 'Burgos');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('10', 'Cceres', 'Cceres');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('11', 'Cdiz', 'Cdiz');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('12', 'Castell de la Plana', 'Castell');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('13', 'Ciudad Real', 'Ciudad Real');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('14', 'Crdoba', 'Crdoba');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('15', 'La Corua', 'La Corua');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('16', 'Cuenca', 'Cuenca');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('17', 'Girona', 'Girona');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('18', 'Granada', 'Granada');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('19', 'Guadalajara', 'Guadalajara');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('20', 'San Sebastin', 'Guipzcoa');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('21', 'Huelva', 'Huelva');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('22', 'Huesca', 'Huesca');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('23', 'Jan', 'Jan');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('24', 'Len', 'Len');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('25', 'Lleida', 'Lleida');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('26', 'Logroo', 'La Rioja');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('27', 'Lugo', 'Lugo');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('28', 'Madrid', 'Comunidad de Madrid');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('29', 'Mlaga', 'Mlaga');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('30', 'Murcia', 'Regin de Murcia');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('31', 'Pamplona', 'Comunidad Foral de Navarra');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('32', 'Orense', 'Orense');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('33', 'Oviedo', 'Principado de Asturias');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('34', 'Palencia', 'Palencia');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('35', 'Las Palmas de Gran Canaria', 'Las Palmas');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('36', 'Pontevedra', 'Pontevedra');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('37', 'Salamanca', 'Salamanca');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('38', 'Santa Cruz de Tenerife', 'Santa Cruz de Tenerife');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('39', 'Santander', 'Cantabria');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('40', 'Segovia', 'Segovia');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('41', 'Sevilla', 'Sevilla');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('42', 'Soria', 'Soria');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('43', 'Tarragona', 'Tarragona');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('44', 'Teruel', 'Teruel');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('45', 'Toledo', 'Toledo');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('46', 'Valencia', 'Valencia');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('47', 'Valladolid', 'Valladolid');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('48', 'Bilbao', 'Vizcaya');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('49', 'Zamora', 'Zamora');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('50', 'Zaragoza', 'Zaragoza');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('51', 'Ceuta', 'Ceuta');
INSERT INTO CP_id (id, ciutat, provincia)
  VALUES ('52', 'Melilla', 'Melilla');

--Insercions en taules de suport de sistema (no es modificaran pels usuaris
--normals de la xarxa social, i en principi tampoc en aquest TFC).
--La Xarxa Social pot modificarles segons sigui convenient.

INSERT INTO Categoria (nom) VALUES ('Informtica');
INSERT INTO Categoria (nom) VALUES ('Electrodomstics');
INSERT INTO Categoria (nom) VALUES ('Oci');
INSERT INTO Categoria (nom) VALUES ('Cultura');
INSERT INTO Categoria (nom) VALUES ('Esport');
INSERT INTO Categoria (nom) VALUES ('Moda');
INSERT INTO Categoria (nom) VALUES ('Llar');
INSERT INTO Categoria (nom) VALUES ('Experincies');
INSERT INTO Categoria (nom) VALUES ('Oficina');

INSERT INTO Proveidor (nom) VALUES ('Proveidor 01');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 02');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 03');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 04');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 05');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 06');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 07');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 08');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 09');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 10');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 11');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 12');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 13');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 14');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 15');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 16');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 17');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 18');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 19');
INSERT INTO Proveidor (nom) VALUES ('Proveidor 20');

INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Ordinador', 'Proveidor 01', 'Informtica', 600.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Ratol', 'Proveidor 01', 'Informtica', 15.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Ratol inalmbric', 'Proveidor 01', 'Informtica', 23.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Monitor', 'Proveidor 01', 'Informtica', 93.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Teclat', 'Proveidor 01', 'Informtica', 47.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Impressora de tinta', 'Proveidor 01', 'Informtica', 79.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Impressora lser', 'Proveidor 01', 'Informtica', 113.00, 21, null, null);

INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Televisi', 'Proveidor 02', 'Electrodomstics', 299.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Reproductor DVD', 'Proveidor 02', 'Electrodomstics', 39.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Reproductor BluRay', 'Proveidor 02', 'Electrodomstics', 69.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Aspirador', 'Proveidor 03', 'Electrodomstics', 70.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Nevera', 'Proveidor 03', 'Electrodomstics', 115.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Forn microones', 'Proveidor 03', 'Electrodomstics', 79.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Cafetera de cpsules', 'Proveidor 04', 'Electrodomstics', 99.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Manta elctrica', 'Proveidor 04', 'Electrodomstics', 19.95, 21, null, null);

INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de taula', 'Proveidor 05', 'Oci', 25.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de cartes', 'Proveidor 05', 'Oci', 19.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Cotxe radiocontrol elctric', 'Proveidor 05', 'Oci', 49.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Cotxe radiocontrol a benzina', 'Proveidor 05', 'Oci', 275.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Trencaclosques', 'Proveidor 05', 'Oci', 19.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Cirqit slot', 'Proveidor 05', 'Oci', 89.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Figura per pintar', 'Proveidor 05', 'Oci', 20.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Set de pintura', 'Proveidor 13', 'Oci', 44.95, 21, null, null);

INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Llibre', 'Proveidor 06', 'Cultura', 17.50, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pellcula DVD', 'Proveidor 06', 'Cultura', 9.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pellcula BluRay', 'Proveidor 06', 'Cultura', 14.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Entrada de cinema', 'Proveidor 06', 'Cultura', 10.00, 21, null, null);
  
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pilota', 'Proveidor 07', 'Esport', 9.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pilota de futbol', 'Proveidor 07', 'Esport', 29.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Set de tenis taula', 'Proveidor 07', 'Esport', 19.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Mquina per exercicis', 'Proveidor 07', 'Esport', 69.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de peses', 'Proveidor 07', 'Esport', 30.0, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pulsmetre', 'Proveidor 02', 'Esport', 39.50, 21, null, null);
  
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Xandall', 'Proveidor 07', 'Moda', 19.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Calat esportiu', 'Proveidor 07', 'Moda', 39.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Sabates', 'Proveidor 08', 'Moda', 29.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Vestit', 'Proveidor 08', 'Moda', 29.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Vestit formal', 'Proveidor 08', 'Moda', 59.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Camisa informal', 'Proveidor 08', 'Moda', 24.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Camisa formal', 'Proveidor 08', 'Moda', 34.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Pantalons texans', 'Proveidor 08', 'Moda', 49.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Corbata', 'Proveidor 08', 'Moda', 15.00, 21, null, null);
  
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de tovallons', 'Proveidor 09', 'Llar', 15.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Estovalles', 'Proveidor 09', 'Llar', 14.90, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Cortines', 'Proveidor 09', 'Llar', 27.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Catifa gran', 'Proveidor 09', 'Llar', 79.90, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Estora', 'Proveidor 09', 'Llar', 19.90, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de 6 gots', 'Proveidor 09', 'Llar', 9.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de 6 plats', 'Proveidor 09', 'Llar', 29.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Joc de 6 coberts', 'Proveidor 09', 'Llar', 19.95, 21, null, null);

INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Spa i relax', 'Proveidor 10', 'Experincies', 25.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Spa per parelles', 'Proveidor 10', 'Experincies', 40.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Sortida gastronmica', 'Proveidor 10', 'Experincies', 38.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Viatge en globus', 'Proveidor 11', 'Experincies', 49.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Excursi a cavall', 'Proveidor 11', 'Experincies', 45.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Visita esportiva', 'Proveidor 02', 'Experincies', 30.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Coneix Espanya', 'Proveidor 12', 'Experincies', 350.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Creuer', 'Proveidor 12', 'Experincies', 950.00, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Viatge pel mn', 'Proveidor 12', 'Experincies', 1345.00, 21, null, null);
  
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Bolgraf de disseny', 'Proveidor 13', 'Oficina', 10.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Carpeta', 'Proveidor 13', 'Oficina', 5.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Agenda folrada', 'Proveidor 13', 'Oficina', 19.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Ploma estilogrfica', 'Proveidor 13', 'Oficina', 49.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Organitzador', 'Proveidor 13', 'Oficina', 5.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Llum halgen', 'Proveidor 04', 'Oficina', 9.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Llum LED', 'Proveidor 04', 'Oficina', 17.95, 21, null, null);
INSERT INTO Producte (nom, proveidor, categoria, preu, impost, descripcio, imatge)
  VALUES ('Estoig amb bolgrafs', 'Proveidor 13', 'Oficina', 12.95, 21, null, null);

INSERT INTO Usuari (correu) VALUES ('usuari0001@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0002@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0003@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0004@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0005@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0006@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0007@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0008@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0009@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0010@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0011@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0012@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0013@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0014@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0015@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0016@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0017@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0018@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0019@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0020@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0021@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0022@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0023@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0024@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0025@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0026@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0027@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0028@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0029@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0030@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0031@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0032@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0033@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0034@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0035@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0036@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0037@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0038@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0039@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0040@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0041@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0042@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0043@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0044@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0045@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0046@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0047@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0048@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0049@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0050@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0051@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0052@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0053@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0054@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0055@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0056@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0057@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0058@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0059@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0060@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0061@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0062@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0063@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0064@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0065@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0066@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0067@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0068@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0069@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0070@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0071@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0072@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0073@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0074@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0075@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0076@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0077@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0078@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0079@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0080@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0081@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0082@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0083@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0084@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0085@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0086@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0087@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0088@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0089@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0090@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0091@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0092@ono.es');
INSERT INTO Usuari (correu) VALUES ('usuari0093@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0094@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0095@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0096@outlook.com');
INSERT INTO Usuari (correu) VALUES ('usuari0097@gmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0098@yahoo.com');
INSERT INTO Usuari (correu) VALUES ('usuari0099@hotmail.com');
INSERT INTO Usuari (correu) VALUES ('usuari0100@outlook.com');

COMMIT;